import { responsesmodel, LoadDataBaseInfoModel } from './model/dbsourceModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  // 分页获取列表数据
  Get_LoadDataBaseInfo = '/api/DataSource/LoadDataBaseInfo',
  // 获取数据源列名
  Get_GetDataColName = '/api/DataSource/GetDataColName',
}

// 分页获取列表数据
export function fun_LoadDataBaseInfo(params) {
  return defHttp.get<LoadDataBaseInfoModel>({
    url: Api.Get_LoadDataBaseInfo,
    params,
  });
}

// 获取数据源列名
export function fun_GetDataColName(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_GetDataColName + '?code=' + params.code,
  });
}
